## audacious 2.4.0

=== src/audacious/Makefile ===
include ../../extra.mk

SUBDIRS = ${INTL_OBJECTIVE}

PROG = audacious2${PROG_SUFFIX}
SRCS = audconfig.c								\
       chardet.c								\
       configdb.c								\
       credits.c							\
       drct.c \
       effect.c									\
       equalizer.c								\
       equalizer_preset.c						\
       fft.c									\
       folder-add.c \
       general.c								\
       interface.c								\
       logger.c									\
       main.c									\
       output.c									\
       playback.c								\
       playlist_container.c						\
       playlist-new.c \
       playlist-utils.c \
       pluginenum.c								\
       plugin-registry.c \
       probe.c \
       probe-buffer.c \
       signals.c								\
       ui_plugin_menu.c \
       ui_preferences.c							\
       util.c									\
       vis_runner.c \
       visualization.c							\
       ui_albumart.c						\
       ui_misc.c

ifeq ($(USE_DBUS),yes)
SRCS += dbus.c
endif

INCLUDES = api.h \
           api-alias-begin.h \
           api-alias-end.h \
           api-define-begin.h \
           api-define-end.h \
           audconfig.h \
           configdb.h			\
           configdb-api.h \
           dbus.h				\
           dbus-service.h		\
           debug.h \
           drct.h \
           drct-api.h \
           i18n.h				\
           interface.h			\
           misc.h \
           misc-api.h \
           playlist.h \
           playlist-api.h \
           plugin.h				\
           plugins.h \
           plugins-api.h \
           preferences.h		\
           types.h

DATA = images/about-logo.png				\
       images/appearance.png				\
       images/audacious_eq.xpm				\
       images/audacious_player.xpm			\
       images/audacious_playlist.xpm		\
       images/audio.png						\
       images/blue.png						\
       images/connectivity.png				\
       images/menu_playlist.png				\
       images/menu_plugin.png				\
       images/menu_queue_toggle.png			\
       images/playback.png					\
       images/playlist.png					\
       images/plugins.png					\
       images/replay_gain.png

CLEAN = build_stamp.c dbus-client-bindings.h dbus-server-bindings.h

ifeq ($(USE_EGGSM),yes)
EXT_DEPS += ../libeggsmclient/libeggsmclient.a
EGGSM_LIBS = ../libeggsmclient/libeggsmclient.a ${SM_LIBS} ${ICE_LIBS}
EGGSM_CFLAGS =  -I../libeggsmclient ${SM_CFLAGS} ${ICE_CFLAGS}
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
CPPFLAGS += -I../libaudclient
DBUS_BINDINGS = dbus-server-bindings.h dbus-client-bindings.h
LIBS += -L../libaudclient -laudclient
endif

pre-depend: ${DBUS_BINDINGS}

CPPFLAGS += -std=gnu99 \
            -DHAVE_CONFIG_H \
		${MOWGLI_CFLAGS}		\
		${GLIB_CFLAGS}			\
		${GTHREAD_CFLAGS}		\
		${GTK_CFLAGS}			\
		${AUDACIOUS_DEFINES}	\
		${ARCH_DEFINES}			\
		${DBUS_CFLAGS}			\
		${REGEX_CFLAGS}			\
		${LIBMCS_CFLAGS}		\
		${SIMD_CFLAGS}			\
		-D_AUDACIOUS_CORE		\
		${EGGSM_CFLAGS}			\
		${LIBGUESS_CFLAGS}		\
		-I.. -I../..			\
		-I./intl

LIBS += ${LDADD}						\
        -lm \
		-L../libaudcore -laudcore	\
		-L../libaudgui -laudgui \
		-L../libaudtag -laudtag		\
		${LIBINTL}						\
		${EGGSM_LIBS}					\
		${GLIB_LIBS}					\
		${GTHREAD_LIBS}					\
		${GTK_LIBS}						\
		${DBUS_LIBS}					\
		${MOWGLI_LIBS}					\
		${LIBMCS_LIBS}					\
		${REGEX_LIBS}					\
		${LIBGUESS_LIBS}

LDFLAGS += ${PROG_IMPLIB_LDFLAGS} ${AUDLDFLAGS}

DBUS_BINDINGS_SOURCES = objects.xml			\
			mpris_root.xml			\
			mpris_tracklist.xml		\
			mpris_player.xml

desktop_DATA = audacious.desktop
desktopdir = ${datadir}/applications

dbus-server-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=audacious_rc objects.xml > $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_root mpris_root.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_tracklist mpris_tracklist.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_player mpris_player.xml >> $@

dbus-client-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-client --prefix=audacious_rc objects.xml > $@

install-extra:
	if test -h "${DESTDIR}${bindir}/audacious" ; then ${RM} "${DESTDIR}${bindir}/audacious" ; fi
	${LN_S} audacious2 "${DESTDIR}${bindir}/audacious"

	if test x"${PROG_IMPLIB_NEEDED}" = x"yes"; then \
		for i in ${PROG}; do \
			i="lib$$i.a"; \
			${INSTALL_STATUS}; \
			if ${MKDIR_P} "${DESTDIR}${libdir}" && ${INSTALL} -m 644 "$$i" "${DESTDIR}${libdir}/$$i"; then \
				${INSTALL_OK}; \
			else \
				${INSTALL_FAILED}; \
			fi \
		done \
	fi

uninstall-extra:
	if test -h "${DESTDIR}${bindir}/audacious" ; then ${RM} "${DESTDIR}${bindir}/audacious" ; fi

	if test x"${PROG_IMPLIB_NEEDED}" = x"yes"; then \
		for i in ${PROG}; do \
			i="lib$$i.a"; \
			if test -f "${DESTDIR}${libdir}/$$i"; then \
				if ${RM} -f "${DESTDIR}${libdir}/$$i"; then \
					${DELETE_OK}; \
				else \
					${DELETE_FAILED}; \
				fi \
			fi \
		done \
	fi

=== debian/changelog ===
audacious (2.4.0-0ubuntu3) maverick; urgency=low

  * Backport fix to add the missing "playlist end reached" hook (LP: #625903).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 25 Sep 2010 18:30:19 +0200

audacious (2.4.0-0ubuntu2) maverick; urgency=low

  * Backport fix for writing equalizer presets (LP: #559287).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 25 Sep 2010 14:05:38 +0200

audacious (2.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #625208).
  * Update symbols for libaudcore1.
  * Bump audacious-plugins dependency to 2.4.0.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 04 Sep 2010 22:28:46 +0200

audacious (2.4~rc2-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0 (no changes required).

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 19 Aug 2010 18:40:14 +0200

audacious (2.4~beta2-0ubuntu1) maverick; urgency=low

  * New upstream release.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 04 Aug 2010 02:25:25 +0200

audacious (2.4~beta1-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #579605).
  * Refer to versioned copyright file.
  * Drop libaudid3tag2 package. It was removed by upstream.
  * Drop all patches (all accepted upstream).
  * Drop additional clean commands and image creation.
  * Update symbols for libaudcore1 and libaudclient2.
  * Use --with-buildstamp configure flag.
  * Fix spelling mistake Psychadelic to Psychedelic.
  * Use --with autotools_dev instead of replacing the config files manually.
  * Bump Standards-Version to 3.9.0 (no changes required).
  * Bump libmowgli-dev to 0.7.
  * Do not link against unused libraries (make dpkg-shlibdeps happy).
  * Drop libglade2-dev and libsamplerate-dev from audacious-dev.
  * Bump audacious-plugins dependency to 2.4~beta1.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 23 Jul 2010 00:40:41 +0200

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Audacious Packagers <pkg-audacious-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>,
           Benjamin Drung <bdrung@ubuntu.com>
Homepage: http://www.audacious-media-player.org/
Build-Depends: autotools-dev (>= 20100122.1~),
               debhelper (>= 7.0.50~),
               imagemagick,
               libdbus-1-dev (>= 0.60),
               libdbus-glib-1-dev (>= 0.60),
               libglade2-dev (>= 2.3.1),
               libgtk2.0-dev (>= 2.10),
               libmcs-dev (>= 0.7),
               libmowgli-dev (>= 0.7),
               librsvg2-bin
Standards-Version: 3.9.1
VCS-Browser: http://git.debian.org/?p=pkg-audacious/audacious.git;a=summary
VCS-Git: git://git.debian.org/pkg-audacious/audacious.git

Package: audacious
Architecture: any
Depends: audacious-plugins (>= 2.4.0),
         dbus,
         dbus-x11,
         libaudclient2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         gtk2-engines-pixbuf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: audacious2
Replaces: libsad2, libaudutil1
Recommends: unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the core player and its localization.

Package: libaudclient2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious dbus remote control library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains a library used to remote control audacious.

Package: libaudcore1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains a library which provides core functionality
 of Audacious.

Package: audacious-dev
Section: libdevel
Architecture: any
Depends: libaudclient2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         libdbus-1-dev (>= 0.60),
         libdbus-glib-1-dev (>= 0.60),
         libgtk2.0-dev (>= 2.6),
         libmcs-dev (>= 0.7),
         libmowgli-dev (>= 0.7),
         ${misc:Depends}
Provides: libaudid3tag-dev, libaudclient-dev, libaudcore-dev
Description: audacious development files
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4. You should use libaudclient
 instead.

Package: audacious-dbg
Section: debug
Architecture: any
Depends: audacious (= ${binary:Version}), ${misc:Depends}
Provides: libaudclient2-dbg, libaudcore1-dbg
Recommends: audacious-plugins-dbg
Priority: extra
Description: audacious media player (debugging symbols)
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis
  * AAC and AAC+
  * FLAC
  * Windows Media (WMA)
  * Musepack
  * TTA
  * Many module formats and much more!
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support.
 .
 This package contains the debugging symbols. Please install it before
 reporting crashes, as this makes the backtrace output more usable.

## audacious 2.4.4

=== Makefile ===
SUBDIRS = src man pixmaps po

DISTCLEAN = audacious.pc audclient.pc buildsys.mk config.h config.log config.status extra.mk

include buildsys.mk

install-extra:
	for i in audacious.pc audclient.pc; do \
	        ${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${libdir}/pkgconfig && ${INSTALL} -m 644 $$i ${DESTDIR}${libdir}/pkgconfig/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi; \
	done
	for i in audacious2.desktop; do \
		${INSTALL_STATUS}; \
		if ${MKDIR_P} ${DESTDIR}${datadir}/applications && ${INSTALL} -m 644 $$i ${DESTDIR}${datadir}/applications/$$i; then \
			${INSTALL_OK}; \
		else \
			${INSTALL_FAILED}; \
		fi \
	done
	if [ -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png ]; then \
		rm -f ${DESTDIR}${datadir}/audacious/Skins/Default/balance.png; \
	fi

uninstall-extra:
	for i in audacious.pc audclient.pc; do \
		if [ -f ${DESTDIR}${libdir}/pkgconfig/$$i ]; then \
			if rm -f ${DESTDIR}${libdir}/pkgconfig/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi; \
	done
	for i in audacious2.desktop; do \
		if test -f ${DESTDIR}${datadir}/applications/$$i; then \
			if rm -f ${DESTDIR}${datadir}/applications/$$i; then \
				${DELETE_OK}; \
			else \
				${DELETE_FAILED}; \
			fi \
		fi \
	done

=== man/Makefile ===
MAN = audacious2.1 audtool2.1

DISTCLEAN = audacious2.1 audtool2.1

include ../buildsys.mk

install-extra:
	${MKDIR_P} "${DESTDIR}${mandir}/${mansubdir}"
	if test -h "${DESTDIR}${mandir}/${mansubdir}/audacious.1" ; then ${RM} "${DESTDIR}${mandir}/${mansubdir}/audacious.1" ; fi
	${LN_S} audacious2.1 "${DESTDIR}${mandir}/${mansubdir}/audacious.1"
	if test -h "${DESTDIR}${mandir}/${mansubdir}/audtool.1" ; then ${RM} "${DESTDIR}${mandir}/${mansubdir}/audtool.1" ; fi
	${LN_S} audtool2.1 "${DESTDIR}${mandir}/${mansubdir}/audtool.1"

uninstall-extra:
	if test -h "${DESTDIR}${mandir}/${mansubdir}/audacious.1" ; then ${RM} "${DESTDIR}${mandir}/${mansubdir}/audacious.1" ; fi
	if test -h "${DESTDIR}${mandir}/${mansubdir}/audtool.1" ; then ${RM} "${DESTDIR}${mandir}/${mansubdir}/audtool.1" ; fi

=== src/Makefile ===
SUBDIRS = libaudcore libaudgui libaudtag audacious

include ../extra.mk

ifeq ($(USE_EGGSM),yes)
SUBDIRS := libeggsmclient ${SUBDIRS}
endif

ifeq ($(USE_DBUS),yes)
SUBDIRS := libaudclient audtool ${SUBDIRS}
endif

include ../buildsys.mk

=== src/audacious/Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
        folder-add.c \
        general.c								\
        interface.c								\
-       logger.c									\
        main.c									\
        output.c									\
        playback.c								\
@@ -32,8 +31,7 @@
        util.c									\
        vis_runner.c \
        visualization.c							\
-       ui_albumart.c						\
-       ui_misc.c
+       ui_albumart.c
 
 ifeq ($(USE_DBUS),yes)
 SRCS += dbus.c

=== src/audtool/Makefile ===
PROG = audtool2
SRCS = main.c				\
       handlers_general.c	\
       handlers_playback.c	\
       handlers_playlist.c	\
       handlers_playqueue.c	\
       handlers_vitals.c	\
       handlers_equalizer.c	\
       report.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${CFLAGS} -I.. -I../.. -I../intl
CFLAGS += ${GTK_CFLAGS}			\
		  ${DBUS_CFLAGS}		\
		  ${AUDACIOUS_DEFINES}	\
		  ${ARCH_DEFINES}		\
		  ${MOWGLI_CFLAGS}

LDFLAGS += ${AUDLDFLAGS}

LIBS += ${DBUS_LIBS}				\
	-L../libaudclient -laudclient	\
	${GTK_LIBS}						\
	${MOWGLI_LIBS}					\
	${LIBMCS_LIBS}

install-extra:
	if test -h "${DESTDIR}${bindir}/audtool" ; then ${RM} "${DESTDIR}${bindir}/audtool" ; fi
	mkdir -p "${DESTDIR}${bindir}"
	${LN_S} audtool2 "${DESTDIR}${bindir}/audtool"

uninstall-extra:
	if test -h "${DESTDIR}${bindir}/audtool" ; then ${RM} "${DESTDIR}${bindir}/audtool" ; fi

=== src/libeggsmclient/Makefile ===
ifdef PLATFORM_WIN32
platform_sources = eggsmclient-win32.c
platform_defines =
platform_libs =
else
platform_sources = eggsmclient-xsmp.c \
                   eggdesktopfile.c
platform_defines = -DEGG_SM_CLIENT_BACKEND_XSMP ${SM_CFLAGS}
platform_libs = ${SM_LIBS}
endif

STATIC_LIB_NOINST = libeggsmclient.a

SRCS = eggsmclient.c         \
       ${platform_sources}

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${INCLUDES} ${GLIB_CFLAGS} ${GTK_CFLAGS} -I../.. -I. -I../audacious/platform ${platform_defines}
LIBS += ${GLIB_LIBS} ${GTK_LIBS} ${platform_libs}

=== debian/changelog ===
audacious (2.4.4-1~bpo60+1) squeeze-backports; urgency=low

  * Backport to Debian 6.0 "Squeeze"

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Sun, 19 Jun 2011 18:01:16 +0200

audacious (2.4.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
    - Merge ld --no-add-needed FTBFS fix from experimental. (Closes: #618108)
  * debian/patches/bp-audtag-debugging-output.patch: Refresh to make patch
    apply without fuzz.
  * debian/control: Improve package description, remove mention of codecs
    not provided in -plugins package, add clarification on how support for
    more codecs can be added through plugins. (Closes: #519160)
  * debian/libaudcore1.symbols: Update according to changes in new upstream
    release.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Mon, 04 Apr 2011 14:11:24 +0200

audacious (2.4.3-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/bp-audtag-debugging-output.patch: Refresh to make patch
    apply without fuzz.
  * debian/libaudcore1.symbols: Update symbols list.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Tue, 25 Jan 2011 14:59:58 +0100

audacious (2.4.2-1) experimental; urgency=low

  * New upstream release (Closes: #597179, LP: #579605, #625208).
    - Fixes manpage suggests '-i newui' instead of '-i gtkui' (Closes: #588333).
    - Builds with binutils-gold (Closes: #553935).
    - Fix for writing equalizer presets (LP: #559287).
    - Add the missing "playlist end reached" hook (LP: #625903).
    - Fix messes up with configuration file while running (Closes: #471394).
    - Display "year" of ogg files (Closes: #565194).
    - Fix context menu is unusable with rolled up player near bottom of screen
      (Closes: #584794).
    - Rewritten crossfade plugin (Closes: #588335).
    - Convert locale-encoded filenames to UTF-8 (Closes: #605963).
    - Fix length calculation in mp3 plugin (Closes: #585048).
  * Refer to versioned copyright file.
  * Drop libaudid3tag2 package. It was removed by upstream.
  * Drop all previous patches (all accepted upstream).
  * Drop additional clean commands and image creation.
  * Update symbols for libaudcore1 and libaudclient2.
  * Use --with-buildstamp configure flag.
  * Use --with autotools_dev instead of replacing the config files manually.
  * Bump Standards-Version to 3.9.1 (no changes required).
  * Bump libmowgli-dev to 0.7.
  * Do not link against unused libraries (make dpkg-shlibdeps happy).
  * Drop libglade2-dev and libsamplerate-dev from audacious-dev.
  * Bump audacious-plugins dependency to 2.4.2.
  * Add backported bp-audtag-debugging-output.patch: Implement debugging output
    in audtag without linking to core's cfg variable.
  * Put Audacious under the umbrella of the Multimedia Maintainers team.
  * Update my email address.

 -- Benjamin Drung <bdrung@debian.org>  Wed, 29 Dec 2010 22:53:25 +0100

=== debian/control ===
Source: audacious
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Chris Taylor <ctaylor@debian.org>,
           Bilal Akhtar <bilalakhtar@ubuntu.com>
Homepage: http://www.audacious-media-player.org/
Build-Depends: autotools-dev (>= 20100122.1~),
               debhelper (>= 7.0.50~),
               imagemagick,
               libdbus-1-dev (>= 0.60),
               libdbus-glib-1-dev (>= 0.60),
               libglade2-dev (>= 2.3.1),
               libgtk2.0-dev (>= 2.10),
               libmcs-dev (>= 0.7),
               libmowgli-dev (>= 0.7),
               librsvg2-bin
Standards-Version: 3.9.1
VCS-Browser: http://git.debian.org/?p=pkg-multimedia/audacious.git;a=summary
VCS-Git: git://git.debian.org/pkg-multimedia/audacious.git

Package: audacious
Architecture: any
Depends: audacious-plugins (>= 2.4.2),
         dbus,
         dbus-x11,
         gtk2-engines-pixbuf,
         libaudclient2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: audacious2
Replaces: libaudutil1, libsad2
Recommends: unzip
Description: small and fast audio player which supports lots of formats
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the core player and its localization.

Package: audacious-dbg
Section: debug
Architecture: any
Depends: audacious (= ${binary:Version}), ${misc:Depends}
Provides: libaudclient2-dbg, libaudcore1-dbg
Recommends: audacious-plugins-dbg
Priority: extra
Description: audacious media player (debugging symbols)
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the debugging symbols. Please install it before
 reporting crashes, as this makes the backtrace output more usable.

Package: audacious-dev
Section: libdevel
Architecture: any
Depends: libaudclient2 (= ${binary:Version}),
         libaudcore1 (= ${binary:Version}),
         libdbus-1-dev (>= 0.60),
         libdbus-glib-1-dev (>= 0.60),
         libgtk2.0-dev (>= 2.6),
         libmcs-dev (>= 0.7),
         libmowgli-dev (>= 0.7),
         ${misc:Depends}
Provides: libaudclient-dev, libaudcore-dev, libaudid3tag-dev
Description: audacious development files
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains the development libraries and header files
 required for developing components for audacious.
 .
 Please note that this package no longer contains libaudacious, as
 libaudacious was dropped in Audacious 1.4. You should use libaudclient
 instead.

Package: libaudclient2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious dbus remote control library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library used to remote control audacious.

Package: libaudcore1
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: audacious core engine library
 Audacious is a fork of beep-media-player which supports winamp skins
 and many codecs.
 .
 In the default install, the following codecs are supported:
 .
  * MP3
  * Ogg Vorbis / Theora
  * AAC and AAC+
  * FLAC
  * ALAC
  * Windows Media (WMA)
  * WAVE
 .
 Additionally, Audacious is extendable through plugins, and contains
 other useful features like LIRC support. Support for many more codecs
 can also be added through plugins.
 .
 This package contains a library which provides core functionality
 of Audacious.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

ifeq ($(DEB_BUILD_ARCH),i386)
additional_confflags := --disable-sse2
endif

# Do not link against unused libraries (make dpkg-shlibdeps happy).
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath --enable-chardet $(additional_confflags) \
		--with-buildstamp="$(shell dpkg-vendor --query vendor) package"

override_dh_strip:
	dh_strip --dbg-package=audacious-dbg

override_dh_installdirs:
	dh_installdirs
	mkdir -p debian/tmp/usr/share/pixmaps
	convert pixmaps/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
	convert pixmaps/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm

=== debian/watch ===
version=3
http://distfiles.atheme.org/audacious-([^-]*)\.tgz

## audacious 3.2

=== src/libaudtag/Makefile ===
LIB = ${LIB_PREFIX}audtag${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audtag.c		\
       util.c		\
       tag_module.c	\
       id3/id3-common.c \
       id3/id3v1.c	\
       id3/id3v22.c	\
       id3/id3v24.c	\
       ape/ape.c

INCLUDES = audtag.h

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${GLIB_CFLAGS} -D_AUDACIOUS_CORE -I.. -I../..
CFLAGS += ${LIB_CFLAGS}
LIBS += ${GLIB_LIBS} -L../libaudcore -laudcore

=== debian/changelog ===
audacious (3.2-1) unstable; urgency=low

  * New upstream release. (Closes: #639374, #657081)
  * debian/control:
    + Removed all references to libmowgli
    + Added libuchardet-dev and libguess-dev as build-dep
    + Raised the Standards-Version to 3.9.2
  * debian/libaudclient2.symbols: symbols file updated
  * debian/libaudcore1.symbols: symbols file updated
  * debian/menu: command changed to "/usr/bin/audacious"

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Thu, 26 Jan 2012 22:54:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Chris Taylor <ctaylor@debian.org>,
-           Bilal Akhtar <bilalakhtar@ubuntu.com>
+           Bilal Akhtar <bilalakhtar@ubuntu.com>,
+           Cyril Lavier <cyril.lavier@davromaniak.eu>
 Homepage: http://www.audacious-media-player.org/
 Build-Depends: autotools-dev (>= 20100122.1~),
                debhelper (>= 7.0.50~),
@@ -12,16 +13,17 @@
                libdbus-glib-1-dev (>= 0.60),
                libglade2-dev (>= 2.3.1),
                libgtk2.0-dev (>= 2.10),
+               libguess-dev,
                libmcs-dev (>= 0.7),
-               libmowgli-dev (>= 0.7),
-               librsvg2-bin
-Standards-Version: 3.9.1
+               librsvg2-bin,
+               libuchardet-dev
+Standards-Version: 3.9.2
 VCS-Browser: http://git.debian.org/?p=pkg-multimedia/audacious.git;a=summary
 VCS-Git: git://git.debian.org/pkg-multimedia/audacious.git
 
 Package: audacious
 Architecture: any
-Depends: audacious-plugins (>= 2.4.2),
+Depends: audacious-plugins (>= 3.2),
          dbus,
          dbus-x11,
          gtk2-engines-pixbuf,
@@ -29,7 +31,6 @@
          libaudcore1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: audacious2
 Replaces: libaudutil1, libsad2
 Recommends: unzip
 Description: small and fast audio player which supports lots of formats
@@ -89,7 +90,6 @@
          libdbus-glib-1-dev (>= 0.60),
          libgtk2.0-dev (>= 2.6),
          libmcs-dev (>= 0.7),
-         libmowgli-dev (>= 0.7),
          ${misc:Depends}
 Provides: libaudclient-dev, libaudcore-dev, libaudid3tag-dev
 Description: audacious development files

## audacious 3.2.1

=== src/audacious/Makefile ===
include ../../extra.mk

PROG = audacious${PROG_SUFFIX}
SRCS = adder.c \
       art.c \
       chardet.c								\
       config.c \
       credits.c							\
       drct.c \
       effect.c									\
       equalizer.c								\
       equalizer_preset.c						\
       fft.c									\
       general.c \
       history.c \
       interface.c								\
       main.c									\
       mpris-signals.c \
       output.c									\
       playback.c								\
       playlist-files.c \
       playlist-new.c \
       playlist-utils.c \
       pluginenum.c								\
       plugin-registry.c \
       plugin-init.c \
       plugin-view.c \
       probe.c \
       probe-buffer.c \
       signals.c								\
       smclient.c \
       ui_plugin_menu.c \
       ui_preferences.c							\
       util.c									\
       vis_runner.c \
       visualization.c							\
       ui_albumart.c

ifeq ($(USE_DBUS),yes)
SRCS += dbus.c
endif

ifeq ($(HAVE_MSWINDOWS),yes)
SRCS += audacious.rc
endif

INCLUDES = api.h \
           api-alias-begin.h \
           api-alias-end.h \
           api-define-begin.h \
           api-define-end.h \
           dbus.h				\
           dbus-service.h		\
           debug.h \
           drct.h \
           drct-api.h \
           gtk-compat.h \
           i18n.h				\
           misc.h \
           misc-api.h \
           playlist.h \
           playlist-api.h \
           plugin.h				\
           plugins.h \
           plugins-api.h \
           preferences.h		\
           types.h

DATA = images/about-logo.png				\
       images/album.png \
       images/audacious_eq.xpm				\
       images/audacious_player.xpm			\
       images/audacious_playlist.xpm		\
       images/audio.png						\
       images/connectivity.png				\
       images/menu_playlist.png				\
       images/menu_plugin.png				\
       images/menu_queue_toggle.png			\
       images/playlist.png					\
       images/plugins.png

CLEAN = build_stamp.c dbus-client-bindings.h dbus-server-bindings.h

ifeq ($(USE_EGGSM),yes)
EXT_DEPS += ../libeggsmclient/libeggsmclient.a
EGGSM_LIBS = ../libeggsmclient/libeggsmclient.a ${SM_LIBS} ${ICE_LIBS}
EGGSM_CFLAGS =  -I../libeggsmclient ${SM_CFLAGS} ${ICE_CFLAGS}
endif

include ../../buildsys.mk

ifeq ($(USE_DBUS),yes)
DBUS_BINDINGS = dbus-server-bindings.h dbus-client-bindings.h
LIBS := -L../libaudclient -laudclient ${LIBS}
endif

pre-depend: ${DBUS_BINDINGS}

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
		${GLIB_CFLAGS}			\
		${GTHREAD_CFLAGS} \
		${GTK_CFLAGS}			\
		${AUDACIOUS_DEFINES}	\
		${DBUS_CFLAGS}			\
		${REGEX_CFLAGS}			\
		${PTHREAD_CFLAGS}		\
		-D_AUDACIOUS_CORE		\
		${EGGSM_CFLAGS}			\
		${LIBGUESS_CFLAGS}

# Essential for efficient FFTs. --jlindgren
CFLAGS += -ffast-math

LIBS := -L../libaudcore -laudcore \
        -L../libaudgui -laudgui \
        -L../libaudtag -laudtag \
        ${LIBS} -lm \
		${LIBINTL}						\
		${EGGSM_LIBS}					\
		${GLIB_LIBS}					\
		${GTHREAD_LIBS} \
		${GTK_LIBS}						\
		${DBUS_LIBS}					\
		${REGEX_LIBS}					\
		${PTHREAD_LIBS}					\
		${LIBGUESS_LIBS}

DBUS_BINDINGS_SOURCES = objects.xml			\
			mpris_root.xml			\
			mpris_tracklist.xml		\
			mpris_player.xml

desktop_DATA = audacious.desktop
desktopdir = ${datadir}/applications

dbus-server-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=audacious_rc objects.xml > $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_root mpris_root.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_tracklist mpris_tracklist.xml >> $@
	${DBUS_BINDING_TOOL} --mode=glib-server --prefix=mpris_player mpris_player.xml >> $@

dbus-client-bindings.h: ${DBUS_BINDINGS_SOURCES}
	${DBUS_BINDING_TOOL} --mode=glib-client --prefix=audacious_rc objects.xml > $@

=== src/libaudclient/Makefile ===
LIB = ${LIB_PREFIX}audclient${LIB_SUFFIX}
LIB_MAJOR = 2
LIB_MINOR = 0

SRCS = audctrl.c

INCLUDES = audctrl.h

include ../../buildsys.mk
include ../../extra.mk

pre-depend:
	cd ../audacious; ${MAKE} ${MFLAGS} dbus-client-bindings.h

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${DBUS_CFLAGS} \
            ${GLIB_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS += ${GLIB_LIBS}	\
	${DBUS_LIBS}

=== debian/changelog ===
audacious (3.2.1-2) unstable; urgency=low

  * Team upload.
  * Build with GTK3. (LP: #923052)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Mar 2012 00:12:46 +0100

audacious (3.2.1-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release:
    - Single-key playback shortcuts are back.
    - PulseAudio output plugin sets buffer size correctly.
    - Buildsystem cleanups.
    - Translation updates.
    - Other minor fixes.
  * Set the -dbg package as Multi-Arch: same.
  * Update watch file.

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 18:29:45 +0100

audacious (3.2-2) unstable; urgency=low

  [ Cyril Lavier ]
  * debian/rules:
    + Changed the optimisation level for sparc. (Closes: #659820)

  [ Alessio Treglia ]
  * Build for Multiarch.

 -- Cyril Lavier <cyril.lavier@davromaniak.eu>  Fri, 17 Feb 2012 09:57:08 +0100

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,16 @@
            Cyril Lavier <cyril.lavier@davromaniak.eu>
 Homepage: http://www.audacious-media-player.org/
 Build-Depends: autotools-dev (>= 20100122.1~),
-               debhelper (>= 7.0.50~),
+               debhelper (>= 9),
                imagemagick,
                libdbus-1-dev (>= 0.60),
                libdbus-glib-1-dev (>= 0.60),
-               libglade2-dev (>= 2.3.1),
-               libgtk2.0-dev (>= 2.10),
+               libgtk-3-dev,
                libguess-dev,
                libmcs-dev (>= 0.7),
                librsvg2-bin,
                libuchardet-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 VCS-Browser: http://git.debian.org/?p=pkg-multimedia/audacious.git;a=summary
 VCS-Git: git://git.debian.org/pkg-multimedia/audacious.git
 
@@ -56,6 +55,7 @@
 Package: audacious-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: audacious (= ${binary:Version}), ${misc:Depends}
 Provides: libaudclient2-dbg, libaudcore1-dbg
 Recommends: audacious-plugins-dbg
@@ -84,11 +84,12 @@
 Package: audacious-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libaudclient2 (= ${binary:Version}),
          libaudcore1 (= ${binary:Version}),
          libdbus-1-dev (>= 0.60),
          libdbus-glib-1-dev (>= 0.60),
-         libgtk2.0-dev (>= 2.6),
+         libgtk-3-dev,
          libmcs-dev (>= 0.7),
          ${misc:Depends}
 Provides: libaudclient-dev, libaudcore-dev, libaudid3tag-dev
@@ -119,6 +120,8 @@
 
 Package: libaudclient2
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious dbus remote control library
  Audacious is a fork of beep-media-player which supports winamp skins
@@ -142,6 +145,8 @@
 
 Package: libaudcore1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: audacious core engine library
  Audacious is a fork of beep-media-player which supports winamp skins

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 
 # Do not link against unused libraries (make dpkg-shlibdeps happy).
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
+
+ifeq ($(DEB_BUILD_ARCH),sparc)
+export CFLAGS += -O1
+endif
 
 %:
 	dh $@ --with autotools_dev --parallel
@@ -24,3 +28,7 @@
 	mkdir -p debian/tmp/usr/share/pixmaps
 	convert pixmaps/audacious.png -resize 16x16 debian/tmp/usr/share/pixmaps/audacious-16.xpm
 	convert pixmaps/audacious.png -resize 32x32 debian/tmp/usr/share/pixmaps/audacious-32.xpm
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f src/libaudcore/audio.h

## audacious 3.2.3

=== src/audacious/Makefile ===
--- 
+++ 
@@ -99,6 +99,7 @@
 CPPFLAGS := -I.. -I../.. \
             ${CPPFLAGS} \
 		${GLIB_CFLAGS}			\
+		${GMODULE_LIBS} \
 		${GTHREAD_CFLAGS} \
 		${GTK_CFLAGS}			\
 		${AUDACIOUS_DEFINES}	\
@@ -119,6 +120,7 @@
 		${LIBINTL}						\
 		${EGGSM_LIBS}					\
 		${GLIB_LIBS}					\
+		${GMODULE_LIBS} \
 		${GTHREAD_LIBS} \
 		${GTK_LIBS}						\
 		${DBUS_LIBS}					\

=== src/libaudcore/Makefile ===
LIB = ${LIB_PREFIX}audcore${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = audio.c \
       audstrings.c \
       eventqueue.c \
       hook.c \
       index.c \
       strpool.c \
       tuple.c \
       tuple_compiler.c \
       tuple_formatter.c \
       vfs.c \
       vfs_async.c \
       vfs_common.c

INCLUDES = audio.h \
           audstrings.h \
           core.h \
           hook.h \
           index.h \
           tuple.h \
           vfs.h \
           vfs_async.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudcore

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLAGS} \
            ${PTHREAD_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS += ${PTHREAD_LIBS} ${GLIB_LIBS} -lm

=== debian/changelog ===
audacious (3.2.3-1) unstable; urgency=low

  * Team upload.
  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 13:27:56 +0200

audacious (3.2.2-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 May 2012 13:11:45 +0200

audacious (3.2.2-1) experimental; urgency=low

  * Team upload.

  [ Alessio Treglia ]
  * New upstream release.
  * Update symbols file:
    - Tag disappeared symbols as optional.

  [ Cyril LAVIER ]
  * debian/rules : Removed the optimisation level tweaking for sparc.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 17:51:18 +0200

## audacious 3.2.4

=== pixmaps/Makefile ===
include ../buildsys.mk

# These override variables in buildsys.mk and so must come after it.
PACKAGE = pixmaps
DATA = audacious.png \
       audacious.svg

install-extra:
	${MKDIR_P} ${DESTDIR}${datadir}/icons/hicolor/48x48/apps
	${MKDIR_P} ${DESTDIR}${datadir}/icons/hicolor/scalable/apps
	${INSTALL} -m 644 audacious.png "${DESTDIR}${datadir}/icons/hicolor/48x48/apps/audacious.png"
	${INSTALL} -m 644 audacious.svg "${DESTDIR}${datadir}/icons/hicolor/scalable/apps/audacious.svg"

uninstall-extra:
	if test -f "${DESTDIR}${datadir}/icons/hicolor/48x48/apps/audacious.png" ; then ${RM} "${DESTDIR}${datadir}/icons/hicolor/48x48/apps/audacious.png" ; fi
	if test -f "${DESTDIR}${datadir}/icons/hicolor/scalable/apps/audacious.svg" ; then ${RM} "${DESTDIR}${datadir}/icons/hicolor/scalable/apps/audacious.svg" ; fi

=== po/Makefile ===
# Short KISS instructions:
#
# - To add new languages: Add *.po target to LOCALES Make variable below
# - Update and merge .po-files: make update-po
# - Only update the template .pot-file only: make update-pot
# - Run update-potfiles.sh when any new sourcefiles with translatable strings
#   have been introduced, and then continue with 'make update-po' or
#   'make update-pot' respectively.
#
LOCALES = ast.po \
	  be.po \
	  bg.po \
	  br.po \
	  ca.po \
	  cs.po \
	  cy.po \
	  de.po \
	  el.po \
	  es.po \
	  es_AR.po \
	  es_MX.po \
	  et.po \
	  eu.po \
	  fi.po \
	  fr.po \
	  hi.po \
	  hr.po \
	  hu.po \
	  it.po \
	  ja.po \
	  ka.po \
	  ko.po \
	  lt.po \
	  lv.po \
	  mk.po \
	  nl.po \
	  pl.po \
	  pt_BR.po \
	  pt_PT.po \
	  ro.po \
	  ru.po \
	  sk.po \
	  sl.po \
	  sr@Latn.po \
	  sr.po \
	  sv.po \
	  tr.po \
	  uk.po \
	  vi.po \
	  zh_CN.po \
	  zh_TW.po

include ../extra.mk
include ../buildsys.mk

POTTEMPLATE=$(PACKAGE).pot

update-pot:
	@echo Updating $(POTTEMPLATE) ...
	xgettext --default-domain=$(PACKAGE) --language=C \
	--keyword=_ --keyword=N_ --from-code="utf-8" \
	--msgid-bugs-address="http://redmine.audacious-media-player.org/" \
	--directory=.. --files-from=POTFILES.in -o $(POTTEMPLATE)

update-po: update-pot
	@echo Updating .po -files ...
	@for lang in $(LOCALES); do echo -n "$$lang : "; msgmerge --backup=simple --update "$$lang" $(POTTEMPLATE); done

=== src/libaudgui/Makefile ===
LIB = ${LIB_PREFIX}audgui${LIB_SUFFIX}
LIB_MAJOR = 1
LIB_MINOR = 0

SRCS = about.c \
       confirm.c \
       effects-menu.c \
       equalizer.c \
       iface-menu.c \
       infopopup.c \
       infowin.c \
       init.c \
       jump-to-time.c \
       list.c \
       playlists.c \
       queue-manager.c \
       ui_fileopener.c \
       ui_urlopener.c \
       ui_jumptotrack.c \
       ui_jumptotrack_cache.c \
       icons-stock.c \
       ui_playlist_manager.c \
       urilist.c \
       util.c

INCLUDES = libaudgui.h \
           libaudgui-gtk.h \
           list.h

include ../../buildsys.mk
include ../../extra.mk

includesubdir = libaudgui

CPPFLAGS := -I.. -I../.. \
            ${CPPFLAGS} \
            ${GLIB_CFLASG} \
            ${GTK_CFLAGS} \
            ${REGEX_CFLAGS}

CFLAGS += ${LIB_CFLAGS}

LIBS := -L../libaudcore -laudcore \
        ${LIBS} -lm \
        ${GLIB_LIBS} \
        ${GTK_LIBS} \
        ${REGEX_LIBS}

=== src/libaudtag/Makefile ===
--- 
+++ 
@@ -16,6 +16,12 @@
 include ../../buildsys.mk
 include ../../extra.mk
 
-CPPFLAGS += ${GLIB_CFLAGS} -D_AUDACIOUS_CORE -I.. -I../..
+CPPFLAGS := -I.. -I../.. \
+            ${CPPFLAGS} \
+            ${GLIB_CFLAGS}
+
 CFLAGS += ${LIB_CFLAGS}
-LIBS += ${GLIB_LIBS} -L../libaudcore -laudcore
+
+LIBS := -L../libaudcore -laudcore \
+        ${LIBS} \
+        ${GLIB_LIBS}

=== src/libeggsmclient/Makefile ===
STATIC_LIB_NOINST = libeggsmclient.a

SRCS = eggdesktopfile.c eggsmclient.c eggsmclient-xsmp.c

include ../../buildsys.mk
include ../../extra.mk

CPPFLAGS += ${GLIB_CFLAGS} ${GTK_CFLAGS} ${SM_CFLAGS} -I../.. -DEGG_SM_CLIENT_BACKEND_XSMP
LIBS += ${GLIB_LIBS} ${GTK_LIBS} ${SM_LIBS}

=== debian/changelog ===
audacious (3.2.4-1) unstable; urgency=low

  * Team upload.
  * New upstream stable release:
    - aac[mp4ff]: Check for errors while parsing MP4 so as to avoid
      infinite looping.
    - cdaudio-ng: Fix wrong PACKAGE definition being used, and use
      about_text.
    - Improve 'Audacious OSD' default settings.
    - Support the new GDK_SCROLL_SMOOTH event in GTK+ 3.4.
    - Fix build on OpenBSD.
    - Make sure NULL is defined.
    - Fix ISO C violation (inline definition with external linkage
      and no external definition).
    - modplug: Don't include sys/mman.h.
    - audtag: Don't try to set custom tuple fields as they currently
      are unsupported for performance reasons.
    - gtkui: Remove hack that made the left mouse button behave like
      the middle button as it breaks the intended behavior of GtkSlider
      in GTK+ >> 3.5.
    - Few more little fixes.
  * Remove debian/*.docs:
    - There is nothing to install as the ancient README file
      has been removed by upstream.

 -- Alessio Treglia <alessio@debian.org>  Sun, 04 Nov 2012 17:22:36 +0000

audacious (3.2.3-2) unstable; urgency=low

  * Tighten dependency between audacious and audacious-plugins to
    avoid ABI breakage. Thanks to Adrian Bunk for pointing out
    this. (Closes: #688644)

 -- Alessio Treglia <alessio@debian.org>  Tue, 23 Oct 2012 09:37:35 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: audacious
 Architecture: any
-Depends: audacious-plugins (>= 3.2),
+Depends: audacious-plugins (>= ${source:Upstream-Version}),
+         audacious-plugins (<< ${source:Upstream-Version}+1~),
          dbus,
          dbus-x11,
          gtk2-engines-pixbuf,

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 
 # Do not link against unused libraries (make dpkg-shlibdeps happy).
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
-
-ifeq ($(DEB_BUILD_ARCH),sparc)
-export CFLAGS += -O1
-endif
 
 %:
 	dh $@ --with autotools_dev --parallel
